Skip to main content

Claim Git organization

POST /api/organizations/{org_id}/git-claims

Claim a Git organization for an Faheem Code organization. Only admin and owner roles can claim Git organizations. A Git organization can only be claimed by one Faheem Code organization at a time. Args: org_id: Faheem Code organization UUID request: Claim request with provider and git_organization user_id: Authenticated user ID (injected by permission check) Returns: GitOrgClaimResponse with the created claim details Raises: HTTPException 409: If the Git organization is already claimed HTTPException 403: If user lacks permission

Parameters

NameInTypeRequiredDescription
org_idpath`stringnull`yes
X-Org-Idheader`stringnull`no

Request body

FieldTypeRequiredDescription
providerstringyes
git_organizationstringyes

Responses

StatusDescription
201Successful Response
422Validation Error

Response body

FieldTypeRequiredDescription
idstringyes
org_idstringyes
providerstringyes
git_organizationstringyes
claimed_bystringyes
claimed_atstringyes

Operation ID: claim_git_organization_api_organizations__org_id__git_claims_post